geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jarek Gawor (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (GERONIMO-6357) Gemini Blueprint on Geronimo
Date Fri, 25 May 2012 16:34:22 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-6357?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jarek Gawor updated GERONIMO-6357:
----------------------------------

    Description: 
It is not possible to install & use Gemini Blueprint on Geronimo since Blueprint bundles
can get cross-wired and processed twice, etc. because Geronimo already has a Blueprint implementation
from the Aries project.

KARAF-928 provides a solution to this issue by updating each Blueprint bundle manifest to
have an explicit import on some standard Blueprint API. That should cause the bundles to be
processes only by one extender.

In Geronimo, we have a bunch of Blueprint bundles that we would have to update in such a way.
Including bundles from Aries, Yoko, Geronimo itself, Karaf, and maybe XBean. And this is provided
we either update Geronimo to Karaf 3.0 or back-port the changes in KARAF-928 to version of
Karaf we currently use in Geronimo.



  was:
It is not possible to install & use Gemini Blueprint on Geronimo since bundles can get
cross-wired and processed twice, etc. because Geronimo already has a Blueprint implementation
from the Aries project.

KARAF-928 provides a solution to this issue by updating each Blueprint bundle manifest to
have an explicit import on some standard Blueprint API. That should cause the bundles to be
processes only by one extender.

In Geronimo, we have a bunch of Blueprint bundles that we would have to update in such a way.
Including bundles from Aries, Yoko, Geronimo itself, Karaf, and maybe XBean. And this is provided
we either update Geronimo to Karaf 3.0 or back-port the changes in KARAF-928 to version of
Karaf we currently use in Geronimo.



    
> Gemini Blueprint on Geronimo
> ----------------------------
>
>                 Key: GERONIMO-6357
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-6357
>             Project: Geronimo
>          Issue Type: New Feature
>      Security Level: public(Regular issues) 
>          Components: Aries, osgi
>    Affects Versions: 3.0-beta-2
>            Reporter: Jarek Gawor
>            Assignee: Jarek Gawor
>
> It is not possible to install & use Gemini Blueprint on Geronimo since Blueprint
bundles can get cross-wired and processed twice, etc. because Geronimo already has a Blueprint
implementation from the Aries project.
> KARAF-928 provides a solution to this issue by updating each Blueprint bundle manifest
to have an explicit import on some standard Blueprint API. That should cause the bundles to
be processes only by one extender.
> In Geronimo, we have a bunch of Blueprint bundles that we would have to update in such
a way. Including bundles from Aries, Yoko, Geronimo itself, Karaf, and maybe XBean. And this
is provided we either update Geronimo to Karaf 3.0 or back-port the changes in KARAF-928 to
version of Karaf we currently use in Geronimo.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message